ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Types.ProfAuto

Synopsis

- data ProfAuto
  - = NoProfAuto
  - | ProfAutoAll
  - | ProfAutoTop
  - | ProfAutoExports
  - | ProfAutoCalls

# Documentation

data ProfAuto #

What kind of {-# SCC #-} to add automatically

Constructors

NoProfAuto | no SCC annotations added
ProfAutoAll | top-level and nested functions are annotated
ProfAutoTop | top-level functions annotated only
ProfAutoExports | exported functions annotated only
ProfAutoCalls | annotate call-sites

#### Instances

Instances details

Enum ProfAuto # |
Instance details Defined in GHC.Types.ProfAuto Methods succ :: ProfAuto -> ProfAuto # pred :: ProfAuto -> ProfAuto # toEnum :: Int -> ProfAuto # fromEnum :: ProfAuto -> Int # enumFrom :: ProfAuto -> [ProfAuto] # enumFromThen :: ProfAuto -> ProfAuto -> [ProfAuto] # enumFromTo :: ProfAuto -> ProfAuto -> [ProfAuto] # enumFromThenTo :: ProfAuto -> ProfAuto -> ProfAuto -> [ProfAuto] #
Eq ProfAuto # |
Instance details Defined in GHC.Types.ProfAuto Methods (==) :: ProfAuto -> ProfAuto -> Bool # (/=) :: ProfAuto -> ProfAuto -> Bool #